Package org.eclipse.ecf.core.util

## Class Proxy.Type

- java.lang.Object
- - org.eclipse.ecf.core.util.Proxy.Type

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  Proxy

    public static class Proxy.Type
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Field Summary

Fields
`static Proxy.Type` `DIRECT`
`static Proxy.Type` `HTTP`
`static Proxy.Type` `SOCKS`

### Constructor Summary

Constructors
`protected` `Type​(String name)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Proxy.Type` `fromString​(String type)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DIRECT

    public static final Proxy.Type DIRECT

#### HTTP

    public static final Proxy.Type HTTP

#### SOCKS

    public static final Proxy.Type SOCKS

### Constructor Detail

#### Type

    protected Type​(String name)

### Method Detail

#### fromString

    public static Proxy.Type fromString​(String type)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`